0x00,   IR_NUM0,            
0x01,   IR_NUM1,            
0x02,   IR_NUM2,            
0x03,   IR_NUM3,            
0x04,   IR_NUM4,            
0x05,   IR_NUM5,            
0x06,   IR_NUM6,            
0x07,   IR_NUM7,            
0x08,   IR_NUM8,            
0x09,   IR_NUM9,            
0x0A,   IR_CHANNEL_UP,
0x0B,   IR_CHANNEL_DOWN,
0x0C,   IR_ALTERNATE_CH,
0x0D,   IR_FAVORITE,              
0x0E,   IR_FAVORITE_CH,            
0x0F,   IR_FAVORITE_ADD_ERASE,           
0x10,   IR_MUTE,            
0x11,   IR_VOLUME_UP,            
0x12,   IR_VOLUME_DOWN,            
0x13,   IR_POWER,           
0x14,   IR_ZOOM,            
0x15,   IR_CAPTURE,            
0x16,   IR_FREEZE,            
0x17,   IR_SLEEP,          
0x18,   IR_TIMER,          
0x19,   IR_SOUND_EFFECT,              
0x1A,   IR_MTS,              
0x1B,   IR_COLOR_SYSTEM,              
0x1C,   IR_SMART_PIC,              
0x1D,   IR_PICTURE_SIZE,           
0x1E,   IR_ACTIVE_CTRL,           
0x1F,   IR_INPUT_SOURCE,         
0x20,   IR_UP,           
0x21,   IR_LEFT,           
0x22,   IR_RIGHT,      
0x23,   IR_DOWN,       
0x24,   IR_ENTER,          
0x25,   IR_SETUP_MENU,      
0x26,   IR_MENU_FACTORY,      
0x27,   IR_OSD_DISPLAY,      
0x28,   IR_CC,           
0x29,   IR_V_CHIP,        
0x2A,   IR_POP,    
0x2B,   IR_POP_POSITION,           
0x2C,   IR_TEXT,         
0x2D,   IR_RED,          
0x2E,   IR_GREEN,            
0x2F,   IR_YELLOW,            
0x30,   IR_BLUE,           
0x31,   IR_INDEX,             
0x32,   IR_CLOCK,          
0x33,   IR_UPDATE,         
0x34,   IR_CE,          
0x35,   IR_NS,            
0x36,   IR_RIGHT_VOLUME_UP,          
0x37,   IR_LEFT_VOLUME_DOWN,       
0x38,   IR_UP_CHANNEL_UP,        
0x39,   IR_DOWN_CHANNEL_DOWN,         
0x3A,   IR_ENTER_INPUT_SRC,       
0x3B,   IR_SPECIAL_OPTIONS,           
0x3C,   IR_ENTER_LONG,             
0x3D,   IR_SHOW_HIDE_KEY,         